var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var DateRangeFacet_exports = {};
__export(DateRangeFacet_exports, {
  default: () => DateRangeFacet_default
});
module.exports = __toCommonJS(DateRangeFacet_exports);
var import_react = __toESM(require("react"));
var import_hoc = require("../utils/hoc.js");
var import_format = require("../utils/format.js");
var import_facet = require("../utils/facet.js");
let DateRangeFacet = ({
  tree,
  node,
  hide = {
    counts: false
    // Hide the facet counts so only the labels are displayed
  },
  display = import_facet.displayFn,
  displayBlank = import_facet.displayBlankFn,
  formatCount = import_format.toNumber
}) => /* @__PURE__ */ import_react.default.createElement("div", { className: "contexture-daterangefacet", "data-path": node.path }, /* @__PURE__ */ import_react.default.createElement(
  import_facet.FacetCheckboxList,
  {
    tree,
    node,
    hide,
    display,
    displayBlank,
    formatCount
  }
));
var DateRangeFacet_default = (0, import_hoc.contexturify)(DateRangeFacet);
