var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ExpandArrow_exports = {};
__export(ExpandArrow_exports, {
  default: () => ExpandArrow_default
});
module.exports = __toCommonJS(ExpandArrow_exports);
var import_react = __toESM(require("react"));
var import_futil = __toESM(require("futil"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_mobx_react = require("mobx-react");
var import_greyVest = require("../../greyVest/index.js");
var import_theme = require("../../utils/theme.js");
var import_utils = require("../TagsQuery/utils.js");
let ExpandArrow = ({ collapse, tagsLength, style, theme: { Icon } }) => !!(import_futil.default.view(collapse) && tagsLength) && /* @__PURE__ */ import_react.default.createElement("div", { className: "expand-arrow", onClick: import_futil.default.off(collapse), style }, /* @__PURE__ */ import_react.default.createElement(
  "div",
  {
    style: {
      height: 0,
      cursor: "pointer",
      textAlign: "center"
    },
    title: "Expand to see all tags"
  },
  /* @__PURE__ */ import_react.default.createElement(
    import_greyVest.Flex,
    {
      style: {
        display: "inline-flex",
        backgroundColor: "white",
        borderRadius: 4,
        padding: "5px 12px",
        boxShadow: "0 1px 4px 0 rgba(39, 44, 65, 0.1)",
        color: "#9b9b9b",
        fontWeight: 400
      },
      alignItems: "center",
      justifyContent: "center"
    },
    "View all ",
    tagsLength,
    " ",
    import_utils.tagTerm,
    "s",
    /* @__PURE__ */ import_react.default.createElement(Icon, { icon: "Expand", style: { fontSize: 16, marginLeft: 6 } })
  )
));
var ExpandArrow_default = import_fp.default.flow(import_mobx_react.observer, import_theme.withTheme)(ExpandArrow);
