var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Number_exports = {};
__export(Number_exports, {
  default: () => Number_default
});
module.exports = __toCommonJS(Number_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_lodash = __toESM(require("lodash"));
var import_greyVest = require("../greyVest/index.js");
var import_hoc = require("../utils/hoc.js");
let NumberComponent = ({
  tree,
  node,
  showBestRange = false,
  formatter = import_fp.default.identity,
  significantDigits,
  theme: { NumberInput, Button }
}) => /* @__PURE__ */ import_react.default.createElement("div", { className: "contexture-number", "data-path": node.path }, /* @__PURE__ */ import_react.default.createElement(import_greyVest.Flex, { style: { alignItems: "center" } }, /* @__PURE__ */ import_react.default.createElement(
  NumberInput,
  {
    value: formatter(node.min) || "",
    onChange: (e) => tree.mutate(node.path, {
      min: import_fp.default.isNumber(significantDigits) ? import_fp.default.toString(import_lodash.default.round(e.target.value, significantDigits)) : e.target.value
    })
  }
), /* @__PURE__ */ import_react.default.createElement("div", { className: "contexture-number-separator" }, "-"), /* @__PURE__ */ import_react.default.createElement(
  NumberInput,
  {
    value: formatter(node.max) || "",
    onChange: (e) => tree.mutate(node.path, {
      max: import_fp.default.isNumber(significantDigits) ? import_fp.default.toString(import_lodash.default.round(e.target.value, significantDigits)) : e.target.value
    })
  }
)), showBestRange && /* @__PURE__ */ import_react.default.createElement("div", { className: "contexture-number-best-range" }, /* @__PURE__ */ import_react.default.createElement(
  Button,
  {
    style: { width: "100%" },
    onClick: async () => {
      await tree.mutate(node.path, { findBestRange: true });
      let { min, max } = import_fp.default.get("context.bestRange", node);
      if (import_fp.default.isNumber(significantDigits)) {
        min = import_lodash.default.round(min, significantDigits);
        max = import_lodash.default.round(max, significantDigits);
      }
      tree.mutate(node.path, {
        findBestRange: false,
        min,
        max
      });
    }
  },
  "Find best range"
)));
NumberComponent.displayName = "Number";
var Number_default = (0, import_hoc.contexturify)(NumberComponent);
