var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var TagsQuery_exports = {};
__export(TagsQuery_exports, {
  default: () => TagsQuery_default
});
module.exports = __toCommonJS(TagsQuery_exports);
var import_futil = __toESM(require("futil"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_react = __toESM(require("react"));
var import_hoc = require("../../utils/hoc.js");
var import_ExpandableTagsQuery = __toESM(require("../ExpandableTagsQuery/index.js"));
var import_greyVest = require("../../greyVest/index.js");
var import_ExpandableTagsInput = __toESM(require("../../greyVest/ExpandableTagsInput.js"));
let TagsQuery = ({ tree, node, actionWrapper, ...props }) => {
  let collapse = import_react.default.useState(true);
  let isCollapsed = import_futil.default.view(collapse) && !import_fp.default.isEmpty(node.tags);
  return /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      "data-path": node.path,
      className: "tags-query",
      onClick: import_futil.default.off(collapse),
      style: { marginBottom: isCollapsed ? 28 : 10 }
    },
    /* @__PURE__ */ import_react.default.createElement(
      import_ExpandableTagsQuery.default,
      {
        ...{ tree, node, collapse, actionWrapper, ...props },
        onAddTag: import_futil.default.off(collapse),
        Loader: ({ children, ...props2 }) => /* @__PURE__ */ import_react.default.createElement(import_greyVest.StripedLoader, { ...props2 }, children),
        style: { padding: "0 5px" },
        theme: {
          TagsInput: isCollapsed ? import_ExpandableTagsInput.Tags : import_ExpandableTagsInput.default
        }
      }
    )
  );
};
var TagsQuery_default = (0, import_hoc.contexturifyWithoutLoader)(TagsQuery);
