var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var utils_exports = {};
__export(utils_exports, {
  convertWordToTag: () => convertWordToTag,
  copyTags: () => copyTags,
  getTag: () => getTag,
  getTagStyle: () => getTagStyle,
  tagTerm: () => tagTerm,
  tagValueField: () => tagValueField
});
module.exports = __toCommonJS(utils_exports);
var import_fp = __toESM(require("lodash/fp.js"));
var import_generic = require("../../styles/generic.js");
var import_TagsJoinPicker = require("../TagsJoinPicker.js");
let tagTerm = "keyword";
let tagValueField = "word";
let copyTags = (node) => {
  if (node.tags) {
    let words = import_fp.default.flow(import_fp.default.map(tagValueField), import_fp.default.reverse, import_fp.default.join(","))(node.tags);
    navigator.clipboard.writeText(words);
  }
};
let getTag = (tag, node = {}, key = tagValueField) => import_fp.default.find({ [key]: tag }, node.tags) || {};
let getTagStyle = (node, key) => (tag) => {
  let tagInstance = getTag(tag, node, key);
  return {
    ...tagInstance.distance ? {} : { fontWeight: "bold" },
    ...(0, import_generic.bgJoin)((0, import_TagsJoinPicker.tagToGroupJoin)(import_fp.default.get("join", node))),
    opacity: tagInstance.onlyShowTheseResults || !import_fp.default.find("onlyShowTheseResults", node.tags) ? 1 : 0.5
  };
};
let convertWordToTag = (word, label = "") => ({
  [tagValueField]: word,
  label,
  distance: 3
});
