var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Expandable_exports = {};
__export(Expandable_exports, {
  default: () => Expandable_default
});
module.exports = __toCommonJS(Expandable_exports);
var import_react = __toESM(require("react"));
var import_Flex = __toESM(require("./Flex.js"));
var import_theme = require("../utils/theme.js");
let Expandable = ({
  isOpen,
  className,
  style,
  Label,
  children,
  onClick,
  theme: { Icon }
}) => /* @__PURE__ */ import_react.default.createElement(
  "div",
  {
    className: `gv-expandable ${isOpen ? "expanded" : ""} ${className}`,
    style
  },
  /* @__PURE__ */ import_react.default.createElement(
    import_Flex.default,
    {
      className: "gv-expandable-header",
      alignItems: "center",
      onClick
    },
    /* @__PURE__ */ import_react.default.createElement("div", { style: { flexGrow: 1 } }, Label),
    /* @__PURE__ */ import_react.default.createElement("div", { className: `gv-expandable-icon ${isOpen ? "expanded" : ""}` }, /* @__PURE__ */ import_react.default.createElement(Icon, { icon: "FilterListExpand" }))
  ),
  /* @__PURE__ */ import_react.default.createElement("div", { className: `gv-expandable-body ${isOpen ? "expanded" : ""}` }, children)
);
var Expandable_default = (0, import_theme.withTheme)(Expandable);
