var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Grid_exports = {};
__export(Grid_exports, {
  default: () => Grid_default
});
module.exports = __toCommonJS(Grid_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
let formatAreas = import_fp.default.flow(import_fp.default.map(import_futil.default.quote), import_fp.default.join(" "));
let repeatNumber = import_futil.default.when(import_fp.default.isNumber, (x) => `repeat(${x}, 1fr)`);
let Grid = ({
  as: Component = "div",
  columns,
  rows,
  areas,
  gap,
  placeContent,
  placeItems,
  inline = false,
  style,
  className,
  ...props
}) => /* @__PURE__ */ import_react.default.createElement(
  Component,
  {
    className: import_futil.default.compactJoin(" ", ["gv-grid", className]),
    style: {
      display: `${inline ? "inline-" : ""}grid`,
      gridTemplateColumns: repeatNumber(columns),
      gridTemplateRows: repeatNumber(rows),
      gridTemplateAreas: formatAreas(areas),
      gridGap: gap,
      placeContent,
      placeItems,
      ...style
    },
    ...props
  }
);
var Grid_default = Grid;
