var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Icon_exports = {};
__export(Icon_exports, {
  default: () => Icon_default
});
module.exports = __toCommonJS(Icon_exports);
var import_react = __toESM(require("react"));
var import_greyVest = require("../greyVest/index.js");
var import_TextButton = __toESM(require("./TextButton.js"));
let SmallIcon = ({ icon, style, ...props }) => /* @__PURE__ */ import_react.default.createElement("i", { className: "material-icons", style: { fontSize: 20, ...style }, ...props }, icon);
let toIcon = (id) => (props) => /* @__PURE__ */ import_react.default.createElement(SmallIcon, { icon: id, ...props });
let iconMap = {
  SortAscending: toIcon("expand_less"),
  SortDescending: toIcon("expand_more"),
  MoveLeft: toIcon("chevron_left"),
  MoveRight: toIcon("chevron_right"),
  RemoveColumn: toIcon("remove"),
  AddColumn: toIcon("add"),
  FilterExpand: toIcon("filter_alt"),
  FilterCollapse: toIcon("filter_list"),
  FilterAdd: toIcon("filter_list"),
  TableColumnMenu: () => /* @__PURE__ */ import_react.default.createElement(import_TextButton.default, null, /* @__PURE__ */ import_react.default.createElement(SmallIcon, { icon: "more_vert" })),
  FilterListExpand: toIcon("keyboard_arrow_down"),
  FilterListCollapse: toIcon("keyboard_arrow_up"),
  TreePause: toIcon("unfold_less"),
  TreeUnpause: toIcon("unfold_more"),
  PreviousPage: toIcon("chevron_left"),
  NextPage: toIcon("chevron_right"),
  Previous5Pages: () => /* @__PURE__ */ import_react.default.createElement("span", null, "..."),
  Next5Pages: () => /* @__PURE__ */ import_react.default.createElement("span", null, "..."),
  Refresh: () => /* @__PURE__ */ import_react.default.createElement(
    import_TextButton.default,
    {
      className: "animated pulse slow infinite",
      style: { animationDuration: "500ms" }
    },
    /* @__PURE__ */ import_react.default.createElement(SmallIcon, { icon: "refresh" })
  ),
  AutoUpdate: toIcon("autorenew"),
  New: toIcon("fiber_new"),
  Expand: toIcon("keyboard_arrow_down")
};
let Icon = ({ icon, ...props }) => /* @__PURE__ */ import_react.default.createElement(import_greyVest.Dynamic, { component: iconMap[icon] || toIcon(icon), ...props });
var Icon_default = Icon;
