var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Modal_exports = {};
__export(Modal_exports, {
  default: () => Modal_default
});
module.exports = __toCommonJS(Modal_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_mobx_react = require("mobx-react");
var import_Portal = __toESM(require("./Portal.js"));
var import_utils = require("./utils.js");
var import_react2 = require("../utils/react.js");
let Modal = ({ isOpen, onClose, children, style = {}, className = "" }) => /* @__PURE__ */ import_react.default.createElement(import_Portal.default, null, isOpen && /* @__PURE__ */ import_react.default.createElement(
  "div",
  {
    style: {
      position: "fixed",
      top: 0,
      bottom: 0,
      left: 0,
      right: 0,
      backgroundColor: "rgba(0,0,0,0.3)",
      padding: 50,
      overflowY: "auto",
      zIndex: 1e3,
      display: "flex",
      justifyContent: "space-around",
      alignItems: "flex-start"
    },
    onClick: onClose,
    className: `default-modal-bg ${className}`
  },
  /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      style: {
        backgroundColor: "#fff",
        ...style
      },
      onClick: (e) => e.stopPropagation(),
      className: "default-modal-wrap"
    },
    children
  )
));
var Modal_default = import_fp.default.flow((0, import_react2.expandProp)("open", import_utils.openBinding), import_mobx_react.observer)(Modal);
