var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Pager_exports = {};
__export(Pager_exports, {
  default: () => Pager_default
});
module.exports = __toCommonJS(Pager_exports);
var import_fp = __toESM(require("lodash/fp.js"));
var import_react = __toESM(require("react"));
var import_PagerItem = __toESM(require("./PagerItem.js"));
var import_Flex = __toESM(require("./Flex.js"));
var import_theme = require("../utils/theme.js");
let Pager = ({
  value,
  onChange = () => {
  },
  pageCount,
  PagerItem = import_PagerItem.default,
  disabled = false,
  theme: { Icon }
}) => pageCount > 1 && /* @__PURE__ */ import_react.default.createElement(import_Flex.default, { justifyContent: "center", alignItems: "center" }, /* @__PURE__ */ import_react.default.createElement(
  PagerItem,
  {
    disabled: disabled || !(value > 1),
    onClick: () => onChange(value - 1)
  },
  /* @__PURE__ */ import_react.default.createElement(Icon, { icon: "PreviousPage" })
), value > 3 && /* @__PURE__ */ import_react.default.createElement(
  PagerItem,
  {
    disabled,
    onClick: () => onChange(import_fp.default.max([0, value - 5]))
  },
  /* @__PURE__ */ import_react.default.createElement(Icon, { icon: "Previous5Pages" })
), import_fp.default.reverse(
  import_fp.default.times(
    (n) => value > n + 1 && /* @__PURE__ */ import_react.default.createElement(
      PagerItem,
      {
        disabled,
        key: `prev${n}`,
        onClick: () => onChange(value - (n + 1))
      },
      value - (n + 1)
    ),
    2
  )
), /* @__PURE__ */ import_react.default.createElement(PagerItem, { disabled, active: true }, value), import_fp.default.times(
  (n) => value + (n + 1) <= pageCount && /* @__PURE__ */ import_react.default.createElement(
    PagerItem,
    {
      disabled,
      key: `next${n}`,
      onClick: () => onChange(value + (n + 1))
    },
    value + (n + 1)
  ),
  2
), value + 2 < pageCount && /* @__PURE__ */ import_react.default.createElement(
  PagerItem,
  {
    disabled,
    onClick: () => onChange(import_fp.default.min([pageCount, value + 5]))
  },
  /* @__PURE__ */ import_react.default.createElement(Icon, { icon: "Next5Pages" })
), /* @__PURE__ */ import_react.default.createElement(
  PagerItem,
  {
    disabled: disabled || !(value < pageCount),
    onClick: () => onChange(value + 1)
  },
  /* @__PURE__ */ import_react.default.createElement(Icon, { icon: "NextPage" })
));
var Pager_default = (0, import_theme.withTheme)(Pager);
