var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Tabs_exports = {};
__export(Tabs_exports, {
  Tab: () => Tab,
  TabContent: () => TabContent,
  TabLabel: () => TabLabel,
  Tabs: () => Tabs
});
module.exports = __toCommonJS(Tabs_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_TabList = __toESM(require("./TabList.js"));
var import_Box = __toESM(require("./Box.js"));
let TabContent = () => {
};
let TabLabel = () => {
};
let Tab = () => {
};
let Tabs = ({
  children,
  onChange = import_fp.default.noop,
  TabsList = import_TabList.default,
  TabPanel = import_Box.default,
  defaultValue,
  ...props
}) => {
  let childrenArray = import_react.default.Children.toArray(children);
  let options = import_fp.default.flow(
    import_fp.default.filter((child) => child.type === Tab || child.type === TabLabel),
    import_futil.default.mapIndexed(({ type, props: props2 }, i) => ({
      value: props2.value || i,
      label: type === Tab ? props2.label : props2.children
    }))
  )(childrenArray);
  let [value, setValue] = (0, import_react.useState)(defaultValue || options[0].value);
  if (!import_fp.default.isNil(props.value) && props.value !== value)
    setValue(props.value);
  let handleChange = (to, from) => {
    onChange(to, from);
    setValue(to);
  };
  let content = import_fp.default.flow(
    import_fp.default.filter.convert({ cap: false })(
      ({ type, props: props2 }, i) => (type === Tab || type === TabContent) && (value === props2.value || value === i)
    ),
    import_futil.default.mapIndexed(({ props: props2 }, i) => /* @__PURE__ */ import_react.default.createElement(import_react.default.Fragment, { key: i }, import_futil.default.callOrReturn(props2.children, value)))
  )(childrenArray);
  return /* @__PURE__ */ import_react.default.createElement(import_react.default.Fragment, null, /* @__PURE__ */ import_react.default.createElement(TabsList, { value, onChange: handleChange, options }), /* @__PURE__ */ import_react.default.createElement(TabPanel, null, content));
};
