var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Tag_exports = {};
__export(Tag_exports, {
  default: () => Tag_default
});
module.exports = __toCommonJS(Tag_exports);
var import_react = __toESM(require("react"));
var import_futil = __toESM(require("futil"));
var import_mobx_react = require("mobx-react");
var import_Flex = __toESM(require("./Flex.js"));
let RemoveTagIcon = (props) => /* @__PURE__ */ import_react.default.createElement("span", { className: "tags-input-tag-remove", ...props }, "x");
let Tag = ({
  value,
  label,
  removeTag,
  RemoveIcon = RemoveTagIcon,
  AddIcon = null,
  tagStyle,
  onClick,
  hoverColor
}) => {
  let [hoverState, setHoverState] = import_react.default.useState(false);
  return /* @__PURE__ */ import_react.default.createElement(
    "span",
    {
      className: "tags-input-tag",
      style: {
        display: "inline-block",
        cursor: "pointer",
        margin: "4px 3px",
        borderRadius: "3px",
        wordBreak: "break-all",
        ...import_futil.default.callOrReturn(tagStyle, value),
        ...hoverState && hoverColor && { backgroundColor: hoverColor }
      },
      onClick: () => onClick({ value, label }),
      onMouseEnter: () => setHoverState(true),
      onMouseLeave: () => setHoverState(false)
    },
    /* @__PURE__ */ import_react.default.createElement(import_Flex.default, { style: { alignItems: "center" } }, AddIcon, /* @__PURE__ */ import_react.default.createElement(
      "span",
      {
        style: {
          ...!AddIcon && { paddingLeft: "0.45em" },
          paddingBottom: "0.15em",
          // Prefer padding on the remove icon so it has more area to receive
          // clicks
          paddingRight: RemoveTagIcon ? "0em" : "0.45em"
        }
      },
      label || value
    ), /* @__PURE__ */ import_react.default.createElement(
      RemoveIcon,
      {
        onClick: (e) => {
          e.stopPropagation();
          removeTag(value);
        }
      }
    ))
  );
};
var Tag_default = (0, import_mobx_react.observer)(Tag);
