var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var TreePauseButton_exports = {};
__export(TreePauseButton_exports, {
  default: () => TreePauseButton_default
});
module.exports = __toCommonJS(TreePauseButton_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_mobx_react = require("mobx-react");
var import_theme = require("../utils/theme.js");
let setPausedNested = (tree, path, value) => tree[`${value ? "" : "un"}pauseNested`](path);
let TreePauseButton = ({
  children,
  theme: { AlternateButton },
  Component = AlternateButton
}) => {
  let trees = import_fp.default.flow(import_react.default.Children.toArray, import_fp.default.map("props"))(children);
  let allPaused = import_fp.default.every(({ tree, path }) => tree.isPausedNested(path), trees);
  let flip = () => import_fp.default.each(({ tree, path }) => setPausedNested(tree, path, !allPaused), trees);
  return /* @__PURE__ */ import_react.default.createElement(Component, { onClick: flip }, `${allPaused ? "Expand" : "Collapse"} Filters`);
};
var TreePauseButton_default = import_fp.default.flow(import_mobx_react.observer, import_theme.withTheme)(TreePauseButton);
