var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var IndentTarget_exports = {};
__export(IndentTarget_exports, {
  FilterIndentTarget: () => FilterIndentTarget
});
module.exports = __toCommonJS(IndentTarget_exports);
var import_react = __toESM(require("react"));
var import_FilterDropTarget = require("./FilterDropTarget.js");
var import_styles = __toESM(require("../../styles/index.js"));
var import_search = require("../../utils/search.js");
let FilterIndentTarget = ({ child, node, tree }) => {
  const [{ canDrop, dragItem }, drop] = (0, import_FilterDropTarget.useFilterDropTarget)({
    drop(source) {
      let isSelf = child === source.node;
      if (isSelf) {
        tree.remove(child);
      } else {
        let newGroup = (0, import_search.indent)(tree, node, child, true);
        tree.move(source.node.path, {
          path: newGroup.path,
          index: 1
        });
      }
    }
  });
  return canDrop && /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      ref: drop,
      style: {
        width: "50%",
        height: "100%",
        borderRadius: import_styles.default.borderRadius,
        position: "absolute",
        right: 0,
        ...dragItem.node === child ? import_styles.default.bgStriped : import_styles.default.bgPreview((0, import_search.oppositeJoin)(node.join)),
        zIndex: 100
      }
    }
  );
};
