var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var OperatorMenu_exports = {};
__export(OperatorMenu_exports, {
  default: () => OperatorMenu_default
});
module.exports = __toCommonJS(OperatorMenu_exports);
var import_react = __toESM(require("react"));
var import_mobx_react = require("mobx-react");
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_styles = __toESM(require("../styles/index.js"));
var import_search = require("../utils/search.js");
let OperatorMenu = ({ node, hover, tree, parent, child, theme }) => {
  let { Button, ButtonGroup } = theme;
  return /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      style: {
        display: "flex",
        flexDirection: "column",
        gap: import_styles.default.boxPadding
      }
    },
    /* @__PURE__ */ import_react.default.createElement(ButtonGroup, { style: { gap: import_styles.default.boxPadding } }, import_fp.default.map(
      (join) => node.join !== join && /* @__PURE__ */ import_react.default.createElement(
        Button,
        {
          key: join,
          ...import_futil.default.domLens.hover((x) => import_futil.default.set(x && join, hover.join)),
          style: {
            ...import_styles.default.bgJoin(join),
            ...import_styles.default.buttonStyleReset
          },
          onClick: () => tree.mutate(node.path, { join })
        },
        "To ",
        join.toUpperCase()
      ),
      ["and", "or", "not"]
    )),
    /* @__PURE__ */ import_react.default.createElement(
      Button,
      {
        style: {
          ...import_styles.default.bgJoin((0, import_search.oppositeJoin)((parent || node).join)),
          ...import_styles.default.buttonStyleReset
        },
        ...import_futil.default.domLens.hover(hover.wrap),
        onClick: () => {
          (0, import_search.indent)(tree, node, child);
          import_futil.default.off(hover.wrap)();
        }
      },
      "Wrap in ",
      (0, import_search.oppositeJoin)((parent || node).join).toUpperCase()
    ),
    /* @__PURE__ */ import_react.default.createElement(
      Button,
      {
        ...import_futil.default.domLens.hover(hover.remove),
        onClick: () => tree.remove(node.path),
        style: import_styles.default.buttonStyleReset
      },
      "Remove"
    )
  );
};
var OperatorMenu_default = (0, import_mobx_react.observer)(OperatorMenu);
