var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var QueryBuilder_exports = {};
__export(QueryBuilder_exports, {
  default: () => QueryBuilder_default
});
module.exports = __toCommonJS(QueryBuilder_exports);
var import_react = __toESM(require("react"));
var import_futil = __toESM(require("futil"));
var import_react_dnd = require("react-dnd");
var import_react_dnd_html5_backend = require("react-dnd-html5-backend");
var import_Group = __toESM(require("./Group.js"));
var import_styles = __toESM(require("../styles/index.js"));
var import_hoc = require("../utils/hoc.js");
let { background } = import_styles.default;
let QueryBuilder = ({ tree, node, fields, mapNodeToProps, theme }) => {
  let { Button } = theme;
  let adding = import_react.default.useState(false);
  return /* @__PURE__ */ import_react.default.createElement(import_react_dnd.DndProvider, { backend: import_react_dnd_html5_backend.HTML5Backend }, /* @__PURE__ */ import_react.default.createElement("div", { style: { background } }, node && /* @__PURE__ */ import_react.default.createElement(
    import_Group.default,
    {
      isRoot: true,
      ...{
        theme,
        node,
        tree,
        adding,
        fields,
        mapNodeToProps
      }
    }
  ), /* @__PURE__ */ import_react.default.createElement(Button, { onClick: import_futil.default.flip(adding) }, import_futil.default.view(adding) ? "Cancel" : "Add Filter")));
};
var QueryBuilder_default = (0, import_hoc.contexturifyWithoutLoader)(QueryBuilder);
