var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Indentable_exports = {};
__export(Indentable_exports, {
  default: () => Indentable_default
});
module.exports = __toCommonJS(Indentable_exports);
var import_react = __toESM(require("react"));
var import_futil = __toESM(require("futil"));
var import_mobx_react = require("mobx-react");
var import_styles = __toESM(require("../../styles/index.js"));
var import_search = require("../../utils/search.js");
var import_AddPreview = __toESM(require("./AddPreview.js"));
let Indentable = ({ children, indent, parent, theme, isLeaf, style }) => /* @__PURE__ */ import_react.default.createElement("div", { "data-id": "indentable", style }, /* @__PURE__ */ import_react.default.createElement("div", { style: { display: "flex" } }, import_futil.default.view(indent) && /* @__PURE__ */ import_react.default.createElement(
  "div",
  {
    style: {
      ...import_styles.default.indent,
      ...import_styles.default.bgPreview((0, import_search.oppositeJoin)(parent))
    }
  }
), /* @__PURE__ */ import_react.default.createElement("div", { style: { flex: 1 } }, /* @__PURE__ */ import_react.default.createElement(
  "div",
  {
    style: import_futil.default.view(indent) ? {
      marginLeft: import_styles.default.ruleGutter,
      marginBottom: isLeaf && import_styles.default.ruleGutter
    } : {}
  },
  children
), import_futil.default.view(indent) && /* @__PURE__ */ import_react.default.createElement(
  import_AddPreview.default,
  {
    theme,
    join: (0, import_search.oppositeJoin)(parent),
    style: {
      borderTopLeftRadius: 0,
      borderBottomLeftRadius: 0
    }
  }
))));
var Indentable_default = (0, import_mobx_react.observer)(Indentable);
