var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var QueryWizard_exports = {};
__export(QueryWizard_exports, {
  default: () => QueryWizard_default
});
module.exports = __toCommonJS(QueryWizard_exports);
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_react = __toESM(require("react"));
var import_react_recompose = require("react-recompose");
var import_FilterButtonList = __toESM(require("../FilterButtonList.js"));
var import_purgatory = require("../purgatory/index.js");
var import_hoc = require("../utils/hoc.js");
var import_theme = require("../utils/theme.js");
let generateStepTitle = (node, title) => (i) => /* @__PURE__ */ import_react.default.createElement("h1", null, /* @__PURE__ */ import_react.default.createElement("span", { className: "step-number" }, "Step ", i + 1, " - "), i === 0 ? `Search for ${title || "Results"} by...` : i < import_fp.default.size(node.children) - 1 ? `And...` : `Narrow Your Results`);
let QueryWizard = import_fp.default.flow(
  (0, import_react_recompose.setDisplayName)("QueryWizard"),
  import_hoc.withNode,
  import_theme.withTheme
)(
  ({
    tree,
    node,
    fields = {},
    title,
    onSubmit = import_fp.default.noop,
    mapNodeToProps = import_fp.default.noop,
    style
  }) => /* @__PURE__ */ import_react.default.createElement(import_purgatory.StepsAccordion, { ...{ style, onSubmit } }, import_futil.default.mapIndexed(
    (child, i) => /* @__PURE__ */ import_react.default.createElement(
      import_purgatory.AccordionStep,
      {
        key: i,
        isRequired: i === 0,
        title: generateStepTitle(node, title)
      },
      /* @__PURE__ */ import_react.default.createElement(
        import_FilterButtonList.default,
        {
          ...{
            node: child,
            tree,
            fields,
            mapNodeToProps
          },
          key: node.key
        }
      )
    ),
    import_fp.default.get("children", node)
  ))
);
var QueryWizard_default = QueryWizard;
