var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var generic_exports = {};
__export(generic_exports, {
  bdJoin: () => bdJoin,
  bgJoin: () => bgJoin,
  bgPreview: () => bgPreview,
  bgStriped: () => bgStriped,
  dFlex: () => dFlex,
  default: () => generic_default,
  flexJustifyContentBetween: () => flexJustifyContentBetween,
  fullscreen: () => fullscreen,
  joinColor: () => joinColor,
  loading: () => loading,
  roundedLeft0: () => roundedLeft0,
  roundedRight0: () => roundedRight0,
  w100: () => w100
});
module.exports = __toCommonJS(generic_exports);
let dFlex = {
  display: "flex"
};
let flexJustifyContentBetween = {
  justifyContent: "space-between",
  ...dFlex
};
let w100 = {
  width: "100%"
};
let fullscreen = {
  position: "fixed",
  top: 0,
  left: 0,
  bottom: 0,
  right: 0
};
let roundedLeft0 = {
  borderTopLeftRadius: 0,
  borderBottomLeftRadius: 0
};
let roundedRight0 = {
  borderTopRightRadius: 0,
  borderBottomRightRadius: 0
};
let bgStriped = {
  backgroundImage: "linear-gradient(-45deg, rgba(200, 200, 200, 0.2) 25%, transparent 25%, transparent 50%, rgba(200, 200, 200, 0.2) 50%, rgba(200, 200, 200, 0.2) 75%, transparent 75%, transparent",
  backgroundSize: "1rem 1rem"
};
let loading = {
  ...bgStriped,
  opacity: 0.5
};
let joinColor = (join) => ({
  and: "#5bc0de",
  or: "#5cb85c",
  not: "#d9534f"
})[join?.join || join];
let bgJoin = (tree) => ({
  background: joinColor(tree),
  color: "white"
});
let bdJoin = (tree) => ({
  borderColor: joinColor(tree)
});
let bgPreview = (join) => ({
  opacity: 0.7,
  ...bgJoin(join),
  ...bgStriped
});
var generic_default = {
  // Layout
  dFlex,
  flexJustifyContentBetween,
  w100,
  fullscreen,
  // Button
  roundedLeft0,
  roundedRight0,
  // Misc
  bgStriped,
  // Search
  joinColor,
  bgJoin,
  bdJoin,
  bgPreview
};
