var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var queryBuilder_exports = {};
__export(queryBuilder_exports, {
  background: () => background,
  styles: () => styles
});
module.exports = __toCommonJS(queryBuilder_exports);
var import_generic = require("./generic.js");
let background = "rgb(247, 247, 247)";
let operatorHeight = 35;
let operatorWidth = 50;
let ruleGutter = 15;
let lineWidth = 2;
let borderRadius = 5;
let boxPadding = 10;
let styles = {
  background,
  ruleGutter,
  lineWidth,
  operatorWidth,
  operatorHeight,
  borderRadius,
  w100: import_generic.w100,
  dFlex: import_generic.dFlex,
  boxPadding,
  // Reset button styles
  buttonStyleReset: {
    borderRadius,
    textTransform: "none",
    letterSpacing: "initial"
  },
  // Indent and Placement Preview
  indent: {
    width: operatorWidth,
    borderRadius,
    borderBottomRightRadius: 0
  },
  indentPreview: {
    width: "100%",
    height: operatorWidth,
    textTransform: "none",
    letterSpacing: "initial"
  },
  // Set up the left join line - color gets overriden
  condition: {
    // Box around condtion
    padding: "10px",
    borderRadius,
    // border: 0,
    borderWidth: 1,
    borderLeftWidth: 1,
    // borderRightWidth: 1,
    // paddingLeft:0,
    borderStyle: "solid",
    background: "white"
  }
};
