var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var futil_exports = {};
__export(futil_exports, {
  FlattenTreeLeaves: () => FlattenTreeLeaves,
  PlainObjectTree: () => PlainObjectTree,
  aspectWrapper: () => aspectWrapper,
  flattenObjectWith: () => flattenObjectWith,
  flattenObjectsNotArrays: () => flattenObjectsNotArrays,
  flattenPlainObject: () => flattenPlainObject,
  mergeOrReturn: () => mergeOrReturn,
  onlyWhen: () => onlyWhen
});
module.exports = __toCommonJS(futil_exports);
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
let onlyWhen = (f) => import_futil.default.unless(f, () => {
});
let FlattenTreeLeaves = (Tree) => import_fp.default.flow(Tree.flatten(), import_fp.default.omitBy(Tree.traverse));
let PlainObjectTree = import_futil.default.tree(onlyWhen(import_fp.default.isPlainObject));
let flattenPlainObject = import_futil.default.whenExists(FlattenTreeLeaves(PlainObjectTree));
let canMerge = (a) => !import_fp.default.isEmpty(a) && a;
let mergeOrReturn = import_fp.default.curry(
  (a, b) => canMerge(a) && canMerge(b) && import_fp.default.merge(a, b) || canMerge(a) || canMerge(b) || {}
);
let aspectWrapper = import_futil.default.aspect({
  after: (result) => console.info('"after" aspect fired!', result),
  onError: (e) => console.error('"onError" aspect fired!', e)
});
const flattenObjectWith = import_fp.default.curryN(
  2,
  (fn, input, paths) => import_futil.default.isFlatObject(input) ? input : import_futil.default.reduceIndexed(
    (output, value, key) => import_fp.default.merge(output, fn(value, import_futil.default.dotJoinWith(import_futil.default.isNotNil)([paths, key]))),
    {},
    input
  )
);
const flattenObjectsNotArrays = flattenObjectWith((value, path) => {
  if (import_fp.default.isPlainObject(value))
    return flattenObjectsNotArrays(value, path);
  if (import_fp.default.isArray(value))
    return { [path]: import_fp.default.map(flattenObjectsNotArrays, value) };
  return { [path]: value };
});
