var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var schema_exports = {};
__export(schema_exports, {
  applyDefaults: () => applyDefaults,
  componentForType: () => componentForType,
  defaultNodeProps: () => defaultNodeProps,
  fieldsFromSchema: () => fieldsFromSchema,
  getRecord: () => getRecord,
  getResults: () => getResults,
  inferSchema: () => inferSchema,
  schemaFieldProps: () => schemaFieldProps
});
module.exports = __toCommonJS(schema_exports);
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_futil2 = require("./futil.js");
let applyDefaults = import_futil.default.mapValuesIndexed((val, field) => ({
  field,
  label: import_futil.default.autoLabel(field),
  order: 0,
  // `_.get('push') is used instead of `_.isArray` to match mobx4 arrays
  display: (x) => import_futil.default.when(import_fp.default.get("push"), import_fp.default.join(", "))(x),
  ...val
}));
let getRecord = import_futil.default.when("_source", (x) => ({
  _id: x._id,
  _highlight: x.highlight,
  ...x._source
}));
let getResults = import_futil.default.cascade([
  "context.response.results",
  "context.results"
]);
let inferSchema = import_fp.default.flow(
  getResults,
  import_fp.default.head,
  getRecord,
  import_futil2.flattenPlainObject
);
let defaultNodeProps = (field, fields, type) => import_fp.default.get([field, "defaultNodeProps", type], fields);
let schemaFieldProps = import_fp.default.curry(
  (props, { field }, fields) => import_fp.default.pick(props, fields[field])
);
let componentForType = (TypeMap) => ({ type }) => import_futil.default.whenExists(import_futil.default.singleObject("component"))(TypeMap[type]);
let fieldsFromSchema = import_fp.default.curry(
  (schemas, search) => schemas[search.tree.schema].fields
);
