import React from "react";
import { contexturify } from "../utils/hoc.js";
import { toNumber } from "../utils/format.js";
import { FacetCheckboxList, displayFn, displayBlankFn } from "../utils/facet.js";
let DateRangeFacet = ({
  tree,
  node,
  hide = {
    counts: false
    // Hide the facet counts so only the labels are displayed
  },
  display = displayFn,
  displayBlank = displayBlankFn,
  formatCount = toNumber
}) => /* @__PURE__ */ React.createElement("div", { className: "contexture-daterangefacet", "data-path": node.path }, /* @__PURE__ */ React.createElement(
  FacetCheckboxList,
  {
    tree,
    node,
    hide,
    display,
    displayBlank,
    formatCount
  }
));
var DateRangeFacet_default = contexturify(DateRangeFacet);
export {
  DateRangeFacet_default as default
};
