import F from "futil";
import React from "react";
import { contexturifyWithoutLoader } from "../utils/hoc.js";
import { Pager } from "../greyVest/index.js";
let ResultPager = ({ node, tree, theme: { PagerItem, Icon } }) => {
  let pages = Math.ceil(
    F.cascade(["response.totalRecords", "totalRecords"], node.context, 1) / node.pageSize
  );
  let page = node.page || 1;
  return /* @__PURE__ */ React.createElement(
    Pager,
    {
      value: page,
      pageCount: pages,
      onChange: (page2) => tree.mutate(node.path, { page: page2 }),
      ...{ PagerItem, Icon }
    }
  );
};
var ResultPager_default = contexturifyWithoutLoader(ResultPager);
export {
  ResultPager_default as default
};
