import React from "react";
let Checkbox = React.forwardRef(
  ({ checked, onChange = () => {
  }, style = {} }, ref) => /* @__PURE__ */ React.createElement(
    "label",
    {
      className: `gv-input gv-checkbox ${checked ? "checked" : ""}`,
      style,
      ref
    },
    /* @__PURE__ */ React.createElement(
      "input",
      {
        type: "checkbox",
        style: { display: "none" },
        ...{ checked, onChange }
      }
    ),
    checked ? /* @__PURE__ */ React.createElement("i", { className: "material-icons" }, "check") : String.fromCharCode(160)
  )
);
var Checkbox_default = Checkbox;
export {
  Checkbox_default as default
};
