import React from "react";
import _ from "lodash/fp.js";
import F from "futil";
import { observer } from "mobx-react";
import Checkbox from "./Checkbox.js";
let CheckboxList = ({ options, value, onChange, ...props }) => /* @__PURE__ */ React.createElement("div", { ...props }, _.map(
  (option) => /* @__PURE__ */ React.createElement(
    "label",
    {
      key: option.value,
      style: { display: "flex", cursor: "pointer", marginRight: 25 }
    },
    /* @__PURE__ */ React.createElement(
      Checkbox,
      {
        ...F.domLens.checkboxValues(option.value, {
          get: () => value,
          set: onChange
        })
      }
    ),
    /* @__PURE__ */ React.createElement("div", { style: { paddingLeft: 15 } }, option.label)
  ),
  options
));
var CheckboxList_default = observer(CheckboxList);
export {
  CheckboxList_default as default
};
