import React from "react";
import F from "futil";
import _ from "lodash/fp.js";
import { Flex } from "../greyVest/index.js";
let ErrorText = ({ children }) => /* @__PURE__ */ React.createElement("div", { className: "gv-text-error" }, children);
let ErrorBlock = ({ children, ...props }) => /* @__PURE__ */ React.createElement(Flex, { className: "gv-block-error", alignItems: "center", ...props }, /* @__PURE__ */ React.createElement("i", { className: "material-icons", style: { marginRight: 8 } }, "warning"), /* @__PURE__ */ React.createElement("div", null, /* @__PURE__ */ React.createElement(ErrorList, null, children)));
let ErrorList = ({ block = false, children }) => F.mapIndexed(
  (e, i) => block ? /* @__PURE__ */ React.createElement(ErrorBlock, { key: i }, e) : /* @__PURE__ */ React.createElement(ErrorText, { key: i }, e),
  _.castArray(children)
);
var ErrorList_default = ErrorList;
export {
  ErrorList_default as default
};
