import React from "react";
let Flex = React.forwardRef(
  ({
    as: Component = "div",
    style,
    alignItems,
    alignContent,
    justifyContent,
    wrap = false,
    column = false,
    inline = false,
    ...props
  }, ref) => /* @__PURE__ */ React.createElement(
    Component,
    {
      ref,
      style: {
        display: `${inline ? "inline-" : ""}flex`,
        flexWrap: wrap && "wrap",
        flexDirection: column && "column",
        alignItems,
        justifyContent,
        alignContent,
        ...style
      },
      ...props
    }
  )
);
var Flex_default = Flex;
export {
  Flex_default as default
};
