import React from "react";
let GridItem = ({
  as: Component = "div",
  column,
  row,
  area,
  width,
  height,
  place,
  style,
  ...props
}) => /* @__PURE__ */ React.createElement(
  Component,
  {
    style: {
      gridColumn: column,
      ...width && { gridColumnEnd: `span ${width}` },
      gridRow: row,
      ...height && { gridRowEnd: `span ${height}` },
      ...area && { gridArea: area },
      placeSelf: place,
      ...style
    },
    ...props
  }
);
var GridItem_default = GridItem;
export {
  GridItem_default as default
};
