import React from "react";
import _ from "lodash/fp.js";
import GVPagerItem from "./PagerItem.js";
import Flex from "./Flex.js";
let PageSize = ({
  value,
  onChange = () => {
  },
  sizeOptions = [10, 20, 50, 100, 250],
  PagerItem = GVPagerItem,
  ...props
}) => /* @__PURE__ */ React.createElement(Flex, { alignItems: "baseline", ...props }, /* @__PURE__ */ React.createElement("span", { style: { marginRight: 4, fontWeight: "bold" } }, "View"), _.map(
  (size) => /* @__PURE__ */ React.createElement(
    PagerItem,
    {
      key: size,
      active: size === value,
      onClick: () => onChange(size),
      css: { margin: 2 }
    },
    size
  ),
  _.flow(_.concat(value), _.sortBy(_.identity), _.sortedUniq)(sizeOptions)
));
var PageSize_default = PageSize;
export {
  PageSize_default as default
};
