import React from "react";
import _ from "lodash/fp.js";
import { contexturify } from "../utils/hoc.js";
let getValue = (value) => _.isNil(value) ? null : !!value;
let BooleanType = ({
  tree,
  node,
  display = (value) => _.isNil(value) ? "Either" : value ? "Yes" : "No",
  className = "contexture-bool",
  theme: { RadioList }
}) => /* @__PURE__ */ React.createElement("div", { className }, /* @__PURE__ */ React.createElement(
  RadioList,
  {
    value: getValue(node.value),
    onChange: (value) => {
      tree.mutate(node.path, {
        value: getValue(value)
      });
    },
    options: [
      { label: display(true), value: true },
      { label: display(false), value: false },
      { label: display(null), value: null }
    ]
  }
));
var BooleanType_default = contexturify(BooleanType);
export {
  BooleanType_default as default
};
