import { useDrop } from "react-dnd";
let useFilterDropTarget = (spec) => useDrop({
  accept: "filter",
  collect: (monitor) => ({
    isOver: monitor.isOver(),
    canDrop: monitor.canDrop(),
    dragItem: monitor.getItem()
  }),
  ...spec
});
var FilterDropTarget_default = useFilterDropTarget;
export {
  FilterDropTarget_default as default,
  useFilterDropTarget
};
