import React from "react";
import { observer } from "mobx-react";
import styles from "../../styles/index.js";
let AddPreview = ({ join, onClick, theme, style }) => /* @__PURE__ */ React.createElement(
  theme.Button,
  {
    onClick: () => onClick(join),
    style: {
      ...styles.indentPreview,
      ...styles.bgPreview(join),
      ...style
    }
  },
  "Click to add",
  " ",
  /* @__PURE__ */ React.createElement("b", null, /* @__PURE__ */ React.createElement("i", null, join.toUpperCase()))
);
var AddPreview_default = observer(AddPreview);
export {
  AddPreview_default as default
};
