import React from "react";
import _ from "lodash/fp.js";
import { Flex } from "../../greyVest/index.js";
import { withTheme } from "../../utils/theme.js";
let ButtonRadio = ({
  value,
  onChange = () => {
  },
  options,
  style = {},
  theme: { Button }
}) => /* @__PURE__ */ React.createElement(Flex, { style: { justifyContent: "space-between", alignItems: "baseline" } }, _.map(
  (x) => /* @__PURE__ */ React.createElement(
    Button,
    {
      key: x.value,
      isActive: x.value === value,
      onClick: () => onChange(x.value),
      style
    },
    x.label
  ),
  options
));
var ButtonRadio_default = withTheme(ButtonRadio);
export {
  ButtonRadio_default as default
};
