import React from "react";
var Checkbox_default = ({ checked, onChange, style = {} }) => /* @__PURE__ */ React.createElement(
  "label",
  {
    className: "gv-input",
    style: {
      height: "24px",
      width: "24px",
      borderRadius: "4px",
      display: "flex",
      justifyContent: "center",
      alignItems: "center",
      margin: "2px",
      cursor: "pointer",
      ...style
    }
  },
  /* @__PURE__ */ React.createElement(
    "input",
    {
      type: "checkbox",
      style: { display: "none" },
      ...{ checked, onChange }
    }
  ),
  checked ? "\u2714" : String.fromCharCode(160)
);
export {
  Checkbox_default as default
};
