import { defaultProps } from "react-recompose";
import {
  BarChart,
  Box,
  Button,
  ButtonGroup,
  Checkbox,
  DateInput,
  Icon,
  DropdownItem,
  NestedPicker,
  Modal,
  PagerItem,
  RadioList,
  Select,
  Table,
  TextButton,
  TextHighlight,
  TextInput
} from "../../greyVest/index.js";
import PickerItem from "./PickerItem.js";
import TagsInput, { Tag } from "./TagsInput.js";
import Root from "./Root.js";
var greyVest_default = {
  AlternateButton: TextButton,
  BarChart,
  Box,
  Button,
  ButtonGroup,
  Checkbox,
  DateInput,
  Root,
  Icon,
  TextInput,
  DropdownItem,
  NestedPicker: defaultProps({ PickerItem })(NestedPicker),
  NumberInput: defaultProps({ type: "number" })(TextInput),
  TagsInput,
  Tag,
  Modal,
  PagerItem,
  RadioList,
  Select,
  Table,
  TextHighlight
};
export {
  greyVest_default as default
};
