import { observer } from "mobx-react";
import { openBinding } from "./utils.js";
import { expandProp } from "../../utils/react.js";
import { Menu } from "@material-ui/core";
import React from "react";
let LensPopover = observer(expandProp("open", openBinding)(Menu));
let AnchoredPopover = ({ ...props }) => {
  let anchorRef = React.useRef();
  return /* @__PURE__ */ React.createElement(React.Fragment, null, /* @__PURE__ */ React.createElement("div", { ref: anchorRef }), /* @__PURE__ */ React.createElement(LensPopover, { anchorEl: anchorRef.current, ...props }));
};
var Popover_default = AnchoredPopover;
export {
  Popover_default as default
};
