import { Radio } from "@material-ui/core";
import React from "react";
import { observer } from "mobx-react";
import _ from "lodash/fp.js";
let RadioList = ({ options, value, onChange, ...props }) => /* @__PURE__ */ React.createElement("div", { ...props }, _.map(
  (option) => /* @__PURE__ */ React.createElement(
    "label",
    {
      key: option.value,
      style: { cursor: "pointer", marginRight: 25 }
    },
    /* @__PURE__ */ React.createElement(
      Radio,
      {
        onChange: () => {
          onChange(option.value);
        },
        value: option.value,
        checked: value === option.value
      }
    ),
    option.label
  ),
  options
));
var RadioList_default = observer(RadioList);
export {
  RadioList_default as default
};
