import React from "react";
import { observer } from "mobx-react";
import _ from "lodash/fp.js";
import { Select as MaterialSelect, MenuItem } from "@material-ui/core";
let Select = ({ options, placeholder = "Please Select...", value = "", ...props }, ref) => /* @__PURE__ */ React.createElement(MaterialSelect, { fullWidth: true, displayEmpty: true, value, ...props, ref }, placeholder && /* @__PURE__ */ React.createElement(MenuItem, { value: "" }, placeholder), _.map(
  (x) => /* @__PURE__ */ React.createElement(MenuItem, { key: x.value, value: x.value }, x.label),
  options
));
var Select_default = _.flow(React.forwardRef, observer)(Select);
export {
  Select_default as default
};
