import _ from "lodash";
import { isObservable, get as mGet, has as mHas } from "mobx";
let get = (obj, path) => (isObservable(obj) ? mGet : _.get)(obj, path);
let has = (obj, path) => (isObservable(obj) ? mHas : _.has)(obj, path);
export {
  get,
  has
};
