import _ from "lodash/fp.js";
import * as m from "mobx";
let observable = (x) => {
  try {
    return m.observable(x, {}, { proxy: false });
  } catch (e) {
    return m.observable(x);
  }
};
let toJS = (x) => _.cloneDeepWith((value) => {
  if (m.isObservable(value))
    return m.toJS(value);
}, x);
export {
  observable,
  toJS
};
