var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var FilterAdder_exports = {};
__export(FilterAdder_exports, {
  default: () => FilterAdder_default,
  unusedOptions: () => unusedOptions
});
module.exports = __toCommonJS(FilterAdder_exports);
var import_fp = __toESM(require("lodash/fp.js"));
var import_react = __toESM(require("react"));
var import_react_recompose = require("react-recompose");
var import_hoc = require("./utils/hoc.js");
var import_search = require("./utils/search.js");
var import_purgatory = require("./purgatory/index.js");
var import_greyVest = require("./greyVest/index.js");
var import_fields = require("./utils/fields.js");
let getGroupFields = (node) => import_fp.default.map("field", import_fp.default.getOr([], "children", node));
let unusedOptions = (fields, node) => import_fp.default.reject(
  (x) => import_fp.default.includes(x.field, getGroupFields(node)),
  (0, import_fields.fieldsToOptions)(fields)
);
let FilterAdder = ({
  tree,
  node,
  path,
  fields,
  uniqueFields,
  Picker = (0, import_react_recompose.defaultProps)({ modalClassName: "filter-adder" })(import_purgatory.ModalPicker),
  ...props
}) => {
  let options = uniqueFields ? unusedOptions(fields, node) : (0, import_fields.fieldsToOptions)(fields);
  let Label = /* @__PURE__ */ import_react.default.createElement(import_greyVest.Flex, { justifyContent: "center", alignItems: "center" }, "Add Filter");
  return /* @__PURE__ */ import_react.default.createElement(
    Picker,
    {
      options,
      onChange: (changes) => {
        if (!import_fp.default.isEmpty(changes)) {
          import_fp.default.each(
            ({ field }) => tree.add(path, (0, import_search.newNodeFromField)({ field, fields })),
            changes
          );
        }
      },
      label: Label,
      ...props
    }
  );
};
var FilterAdder_default = (0, import_hoc.contexturifyWithoutLoader)(FilterAdder);
