var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var SearchLayout_exports = {};
__export(SearchLayout_exports, {
  default: () => SearchLayout_default
});
module.exports = __toCommonJS(SearchLayout_exports);
var import_react = __toESM(require("react"));
var import_prop_types = __toESM(require("prop-types"));
var import_mobx_react = require("mobx-react");
let margin = 24;
let styles = (mode) => ({
  display: "grid",
  gridGap: margin,
  margin: `0 ${margin}px`,
  marginBottom: margin,
  gridTemplateColumns: mode === "basic" ? "320px minmax(0, 1fr)" : "minmax(0, 1fr)"
});
let SearchLayout = ({ mode, style, className, ...props }) => /* @__PURE__ */ import_react.default.createElement(
  "div",
  {
    className: `search-layout search-layout-${mode} ${className}`,
    style: { ...styles(mode), ...style },
    ...props
  }
);
SearchLayout.propTypes = {
  mode: import_prop_types.default.oneOf(["basic", "builder", "resultsOnly"])
};
var SearchLayout_default = (0, import_mobx_react.observer)(SearchLayout);
