var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var CheckableTermsStatsTable_exports = {};
__export(CheckableTermsStatsTable_exports, {
  default: () => CheckableTermsStatsTable_default
});
module.exports = __toCommonJS(CheckableTermsStatsTable_exports);
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_react = __toESM(require("react"));
var import_ExpandableTable = require("../greyVest/ExpandableTable.js");
var import_hoc = require("../utils/hoc.js");
var import_TermsStatsTable = __toESM(require("./TermsStatsTable.js"));
let CheckableTermsStatsTable = ({
  node,
  children,
  getValue,
  selected,
  theme: { Checkbox },
  ...props
}) => {
  let results = import_fp.default.result("context.terms.slice", node) ?? import_fp.default.result("context.results.slice", node);
  let allChecked = import_fp.default.size(results) === import_fp.default.size(import_futil.default.view(selected));
  let checkAll = import_futil.default.sets(
    allChecked ? [] : import_fp.default.map(import_fp.default.iteratee(getValue), results),
    selected
  );
  return /* @__PURE__ */ import_react.default.createElement(
    import_TermsStatsTable.default,
    {
      ...{
        ...props,
        children: [
          /* @__PURE__ */ import_react.default.createElement(
            import_ExpandableTable.Column,
            {
              key: "checkbox",
              label: /* @__PURE__ */ import_react.default.createElement(Checkbox, { checked: allChecked, onChange: checkAll }),
              display: (x, y) => /* @__PURE__ */ import_react.default.createElement(
                Checkbox,
                {
                  ...import_futil.default.domLens.checkboxValues(import_fp.default.iteratee(getValue)(y), selected)
                }
              )
            }
          ),
          ...children
        ]
      }
    }
  );
};
var CheckableTermsStatsTable_default = (0, import_hoc.contexturify)(CheckableTermsStatsTable);
