var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var DateRangePicker_exports = {};
__export(DateRangePicker_exports, {
  default: () => DateRangePicker_default
});
module.exports = __toCommonJS(DateRangePicker_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_hoc = require("../utils/hoc.js");
let DateComponent = ({ tree, node, ranges, theme: { Select } }) => /* @__PURE__ */ import_react.default.createElement(
  Select,
  {
    value: (import_fp.default.find({ range: node.range }, ranges) || {}).label,
    onChange: (event) => {
      let value = import_fp.default.get("target.value", event);
      if (value) {
        let { range } = import_fp.default.find({ label: value }, ranges);
        tree.mutate(node.path, {
          range,
          timezone: Intl.DateTimeFormat().resolvedOptions().timeZone
        });
      }
    },
    options: import_fp.default.map((x) => ({ value: x.label, label: x.label }), ranges)
  }
);
DateComponent.displayName = "DateRangePicker";
var DateRangePicker_default = (0, import_hoc.contexturify)(DateComponent);
