var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var FacetSelect_exports = {};
__export(FacetSelect_exports, {
  default: () => FacetSelect_default
});
module.exports = __toCommonJS(FacetSelect_exports);
var import_react = __toESM(require("react"));
var import_futil = __toESM(require("futil"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_Async = __toESM(require("react-select/lib/Async.js"));
var import_react_select = require("react-select");
var import_greyVest = require("../greyVest/index.js");
var import_hoc = require("../utils/hoc.js");
var import_facet = require("../utils/facet.js");
let getOptions = (node) => import_fp.default.map(
  ({ name, count }) => ({ ...import_futil.default.autoLabelOption(name), count }),
  import_fp.default.get("context.options", node)
);
let FacetSelect = ({
  tree,
  node,
  hide = {
    counts: false
    // Hide the facet counts so only the labels are displayed
  },
  singleValue = false,
  display = (x) => x,
  formatCount = (x) => x,
  displayBlank = () => /* @__PURE__ */ import_react.default.createElement("i", null, "Not Specified"),
  theme: { RadioList }
}) => {
  let MenuList = (props) => /* @__PURE__ */ import_react.default.createElement(import_react_select.components.MenuList, { ...props }, !!node.context.cardinality && /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      style: {
        boxShadow: "0 2px 2px -2px #CCC",
        fontSize: "0.9em",
        padding: "0 10px 1px",
        marginBottom: 4,
        opacity: 0.8
      }
    },
    /* @__PURE__ */ import_react.default.createElement(import_facet.Cardinality, { ...{ node, tree } })
  ), props.children);
  return /* @__PURE__ */ import_react.default.createElement("div", { className: "contexture-facet-select", "data-path": node.path }, /* @__PURE__ */ import_react.default.createElement(
    RadioList,
    {
      value: node.mode || "include",
      onChange: (mode) => tree.mutate(node.path, { mode }),
      options: import_futil.default.autoLabelOptions(["include", "exclude"])
    }
  ), /* @__PURE__ */ import_react.default.createElement(
    import_Async.default,
    {
      placeholder: "Search...",
      isMulti: !singleValue,
      cacheOptions: true,
      defaultOptions: getOptions(node),
      loadOptions: async (val) => {
        await tree.mutate(node.path, { optionsFilter: val });
        return getOptions(node);
      },
      formatOptionLabel: ({ label, count }, { context }) => /* @__PURE__ */ import_react.default.createElement(import_greyVest.Flex, { justifyContent: "space-between" }, /* @__PURE__ */ import_react.default.createElement("span", null, display(label) || displayBlank()), context === "menu" && !hide.counts && /* @__PURE__ */ import_react.default.createElement("span", null, formatCount(count))),
      onChange: (x) => tree.mutate(node.path, { values: import_fp.default.map("value", x) }),
      components: { MenuList }
    }
  ));
};
var FacetSelect_default = (0, import_hoc.contexturify)(FacetSelect);
