var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Geo_exports = {};
__export(Geo_exports, {
  default: () => Geo_default
});
module.exports = __toCommonJS(Geo_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_greyVest = require("../greyVest/index.js");
var import_hoc = require("../utils/hoc.js");
const customStyles = {
  valueContainer: (styles) => ({
    ...styles,
    ...{
      overflow: "hidden",
      textOverflow: "ellipsis"
    }
  })
};
const elementStyle = {
  flex: 1,
  marginBottom: "5px"
};
const operatorOptions = ["within", "not within"];
let GeoComponent = ({
  tree,
  node,
  loadOptions,
  GeoCodeLocation = import_fp.default.noop,
  AutoComplete = null,
  placeholder = "Address ...",
  theme: { Select, NumberInput }
}) => /* @__PURE__ */ import_react.default.createElement(import_greyVest.Flex, { style: { flexFlow: "column" } }, /* @__PURE__ */ import_react.default.createElement(
  Select,
  {
    style: elementStyle,
    value: node.operator,
    onChange: (e) => tree.mutate(node.path, { operator: e.target.value }),
    options: import_futil.default.autoLabelOptions(operatorOptions)
  }
), /* @__PURE__ */ import_react.default.createElement("div", { style: elementStyle }, /* @__PURE__ */ import_react.default.createElement(
  NumberInput,
  {
    min: "1",
    value: node.radius,
    onChange: (e) => tree.mutate(node.path, { radius: e.target.value }),
    placeholder: "Enter number of miles ..."
  }
), " ", "from"), /* @__PURE__ */ import_react.default.createElement("div", { style: elementStyle }, AutoComplete && /* @__PURE__ */ import_react.default.createElement(
  AutoComplete,
  {
    cacheOptions: true,
    escapeClearsValue: true,
    defaultInputValue: node.location,
    placeholder,
    noOptionsMessage: () => "",
    menuPortalTarget: document.body,
    menuShouldScrollIntoView: true,
    styles: customStyles,
    loadOptions,
    onInputChange: (newValue) => newValue.replace(/[^a-zA-Z0-9\s]+/g, ""),
    onChange: async ({ label, value }) => {
      let { latitude, longitude } = await GeoCodeLocation(value) || {};
      if (latitude && longitude) {
        tree.mutate(node.path, {
          latitude,
          longitude,
          location: label
        });
      }
    }
  }
), !AutoComplete && /* @__PURE__ */ import_react.default.createElement("div", null, "Autocomplete component is required!")));
var Geo_default = (0, import_hoc.contexturify)(GeoComponent);
