var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ResultCount_exports = {};
__export(ResultCount_exports, {
  default: () => ResultCount_default
});
module.exports = __toCommonJS(ResultCount_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_mobx_react = require("mobx-react");
var import_hoc = require("../utils/hoc.js");
var import_format = require("../utils/format.js");
var import_theme = require("../utils/theme.js");
var import_greyVest = require("../greyVest/index.js");
let ResultCount = ({
  node = {},
  display = import_format.toNumber,
  noResults = "No Results",
  theme: { Loader = import_greyVest.StripedLoader }
}) => {
  let count = import_futil.default.cascade(
    [
      "context.response.results.length",
      "context.results.length",
      "context.result",
      "context.value"
    ],
    node
  );
  let totalRecords = count ? import_futil.default.cascade(
    [
      "context.response.totalRecords",
      "context.totalRecords",
      "context.result",
      "context.value"
    ],
    node
  ) : 0;
  return count ? display(totalRecords) : node.updating ? /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      style: {
        display: "inline-block",
        verticalAlign: "middle",
        margin: "0 .1rem"
      }
    },
    /* @__PURE__ */ import_react.default.createElement(
      Loader,
      {
        loading: true,
        style: { height: "1rem", width: "1.5rem", minHeight: "auto" }
      }
    )
  ) : noResults;
};
var ResultCount_default = import_fp.default.flow(import_mobx_react.observer, import_hoc.withNode, import_theme.withTheme)(ResultCount);
