var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ResultTableFooter_exports = {};
__export(ResultTableFooter_exports, {
  default: () => ResultTableFooter_default
});
module.exports = __toCommonJS(ResultTableFooter_exports);
var import_react = __toESM(require("react"));
var import_futil = __toESM(require("futil"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_TableFooter = __toESM(require("../../greyVest/TableFooter.js"));
var import_mobx_react = require("mobx-react");
let ResultTableFooter = ({ tree, node, pageSizeOptions, disabled, style }) => {
  let getFromContext = (key) => import_futil.default.cascade([`context.response.${key}`, `context.${key}`], node);
  return /* @__PURE__ */ import_react.default.createElement(
    import_TableFooter.default,
    {
      disabled,
      page: node.page || 1,
      onChangePage: (page) => tree.mutate(node.path, { page }),
      pageSize: node.pageSize,
      onChangePageSize: (pageSize) => {
        tree.mutate(node.path, {
          pageSize,
          page: import_fp.default.ceil((getFromContext("startRecord") || 0) / pageSize) || 1
        });
      },
      pageSizeOptions,
      style,
      ...import_futil.default.arrayToObject((x) => x, getFromContext, [
        "hasMore",
        "totalRecords",
        "startRecord",
        "endRecord"
      ])
    }
  );
};
var ResultTableFooter_default = (0, import_mobx_react.observer)(ResultTableFooter);
