var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var TagsJoinPicker_exports = {};
__export(TagsJoinPicker_exports, {
  default: () => TagsJoinPicker_default,
  tagToGroupJoin: () => tagToGroupJoin
});
module.exports = __toCommonJS(TagsJoinPicker_exports);
var import_react = __toESM(require("react"));
var import_mobx_react = require("mobx-react");
var import_fp = __toESM(require("lodash/fp.js"));
var import_theme = require("../utils/theme.js");
let tagToGroupJoin = (x = "any") => ({
  any: "or",
  all: "and",
  none: "not"
})[x];
let getJoinOptions = import_fp.default.intersectionWith(
  (defaultOption, option) => defaultOption.value === option,
  [
    { value: "any", label: "Match any of these keywords" },
    { value: "all", label: "Match all of these keywords" },
    { value: "none", label: "Match none of these keywords" }
  ]
);
let TagsJoinPicker = ({
  node,
  tree,
  theme: { Select },
  joinOptions = ["any", "all", "none"]
}) => /* @__PURE__ */ import_react.default.createElement(
  Select,
  {
    value: node.join,
    onChange: (e) => tree.mutate(node.path, { join: e.target.value }),
    options: getJoinOptions(joinOptions),
    placeholder: false
  }
);
var TagsJoinPicker_default = import_fp.default.flow(import_mobx_react.observer, import_theme.withTheme)(TagsJoinPicker);
