var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ActionsMenu_exports = {};
__export(ActionsMenu_exports, {
  default: () => ActionsMenu_default
});
module.exports = __toCommonJS(ActionsMenu_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_mobx_react = require("mobx-react");
var import_TagsJoinPicker = __toESM(require("../TagsJoinPicker.js"));
var import_theme = require("../../utils/theme.js");
var import_greyVest = require("../../greyVest/index.js");
var import_utils = require("./utils.js");
let ActionsMenu = ({
  node,
  tree,
  close,
  theme: { Button, Checkbox },
  actionWrapper = import_fp.default.identity,
  joinOptions
}) => /* @__PURE__ */ import_react.default.createElement(
  import_greyVest.Flex,
  {
    style: { minWidth: 240, padding: 10 },
    className: "tags-query-actions-menu",
    column: true,
    justifyContent: "stretch",
    alignItems: "stretch"
  },
  !!import_fp.default.get("tags.length", node) && /* @__PURE__ */ import_react.default.createElement(import_react.default.Fragment, null, /* @__PURE__ */ import_react.default.createElement(Button, { onClick: actionWrapper(() => close() || (0, import_utils.copyTags)(node)) }, "Copy ", import_fp.default.startCase(import_utils.tagTerm), "s"), /* @__PURE__ */ import_react.default.createElement(
    Button,
    {
      style: { margin: "10px 0" },
      onClick: actionWrapper(
        () => close() || tree.mutate(node.path, { tags: [] })
      )
    },
    "Clear ",
    import_fp.default.startCase(import_utils.tagTerm),
    "s"
  ), /* @__PURE__ */ import_react.default.createElement("div", { className: "line-separator" })),
  /* @__PURE__ */ import_react.default.createElement("label", { className: "labeled-checkbox", style: { margin: "10px 0" } }, /* @__PURE__ */ import_react.default.createElement(
    Checkbox,
    {
      htmlId: "stemming",
      checked: !node.exact,
      onChange: (e) => tree.mutate(node.path, { exact: !e.target.checked })
    }
  ), /* @__PURE__ */ import_react.default.createElement("span", null, "Include word variations")),
  /* @__PURE__ */ import_react.default.createElement("div", null, /* @__PURE__ */ import_react.default.createElement(import_TagsJoinPicker.default, { ...{ node, tree, joinOptions } }))
);
var ActionsMenu_default = import_fp.default.flow(import_mobx_react.observer, import_theme.withTheme)(ActionsMenu);
