var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var TypeMap_exports = {};
__export(TypeMap_exports, {
  default: () => TypeMap_default
});
module.exports = __toCommonJS(TypeMap_exports);
var import_Facet = __toESM(require("./Facet.js"));
var import_DateRangeFacet = __toESM(require("./DateRangeFacet.js"));
var import_Number = __toESM(require("./Number.js"));
var import_Date = __toESM(require("./Date.js"));
var import_Query = __toESM(require("./Query.js"));
var import_Geo = __toESM(require("./Geo.js"));
var import_TagsQuery = __toESM(require("./TagsQuery/index.js"));
var import_TagsText = __toESM(require("./TagsText.js"));
var import_Exists = __toESM(require("./Exists.js"));
var import_Bool = __toESM(require("./Bool.js"));
var import_Text = __toESM(require("./Text.js"));
var TypeMap_default = {
  facet: import_Facet.default,
  dateRangeFacet: import_DateRangeFacet.default,
  query: import_Query.default,
  number: import_Number.default,
  date: import_Date.default,
  tagsQuery: import_TagsQuery.default,
  tagsText: import_TagsText.default,
  geo: import_Geo.default,
  text: import_Text.default,
  mongoId: import_Text.default,
  exists: import_Exists.default,
  bool: import_Bool.default
};
