var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var DateInput_exports = {};
__export(DateInput_exports, {
  default: () => DateInput_default
});
module.exports = __toCommonJS(DateInput_exports);
var import_react = __toESM(require("react"));
var import_mobx_react = require("mobx-react");
var import_moment = __toESM(require("moment"));
var import_entry_nostyle = __toESM(require("react-date-picker/dist/entry.nostyle.js"));
var import_fp = __toESM(require("lodash/fp.js"));
let NativeDateInput = ({ value, onChange, ...props }) => /* @__PURE__ */ import_react.default.createElement(
  "input",
  {
    type: "date",
    value: value ? (0, import_moment.default)(value).format("YYYY-MM-DD") : "",
    onChange: (e) => onChange(new Date(e.target.value)),
    ...props
  }
);
let ReactDatePickerInput = ({
  value,
  calendarIcon = null,
  clearIcon = null,
  ...props
}) => /* @__PURE__ */ import_react.default.createElement(
  import_entry_nostyle.default,
  {
    calendarType: "US",
    calendarIcon,
    clearIcon,
    value: import_fp.default.isDate(value) || import_fp.default.isEmpty(value) ? value : new Date(value),
    ...props
  }
);
let DateInput = ({ value, native = false, ...props }) => native ? /* @__PURE__ */ import_react.default.createElement(NativeDateInput, { value, ...props }) : /* @__PURE__ */ import_react.default.createElement(ReactDatePickerInput, { value, ...props });
var DateInput_default = (0, import_mobx_react.observer)(DateInput);
