var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var DropdownItem_exports = {};
__export(DropdownItem_exports, {
  DropdownItem: () => DropdownItem,
  default: () => DropdownItem_default
});
module.exports = __toCommonJS(DropdownItem_exports);
var import_futil = __toESM(require("futil"));
var import_react = __toESM(require("react"));
var import_mobx_react = require("mobx-react");
let DropdownItem = ({ style = {}, ...props }) => {
  let hovering = import_react.default.useState(false);
  return /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      style: {
        cursor: "pointer",
        padding: "2.5px 5px",
        whiteSpace: "nowrap",
        fontSize: 13,
        color: "initial",
        display: "grid",
        gridGap: "5px",
        gridTemplateColumns: "auto 1fr",
        alignItems: "center",
        ...import_futil.default.view(hovering) && { color: "#0076de" },
        ...style
      },
      ...import_futil.default.domLens.hover(hovering),
      ...props
    }
  );
};
var DropdownItem_default = (0, import_mobx_react.observer)(DropdownItem);
