var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var PageSize_exports = {};
__export(PageSize_exports, {
  default: () => PageSize_default
});
module.exports = __toCommonJS(PageSize_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_PagerItem = __toESM(require("./PagerItem.js"));
var import_Flex = __toESM(require("./Flex.js"));
let PageSize = ({
  value,
  onChange = () => {
  },
  sizeOptions = [10, 20, 50, 100, 250],
  PagerItem = import_PagerItem.default,
  ...props
}) => /* @__PURE__ */ import_react.default.createElement(import_Flex.default, { alignItems: "baseline", ...props }, /* @__PURE__ */ import_react.default.createElement("span", { style: { marginRight: 4, fontWeight: "bold" } }, "View"), import_fp.default.map(
  (size) => /* @__PURE__ */ import_react.default.createElement(
    PagerItem,
    {
      key: size,
      active: size === value,
      onClick: () => onChange(size),
      css: { margin: 2 }
    },
    size
  ),
  import_fp.default.flow(import_fp.default.concat(value), import_fp.default.sortBy(import_fp.default.identity), import_fp.default.sortedUniq)(sizeOptions)
));
var PageSize_default = PageSize;
