var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Popover_exports = {};
__export(Popover_exports, {
  default: () => Popover_default
});
module.exports = __toCommonJS(Popover_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_reactjs_popup = require("reactjs-popup");
var import_utils = require("./utils.js");
var import_react2 = require("../utils/react.js");
let Popover = ({
  trigger,
  isOpen,
  onClose,
  arrow,
  position,
  closeOnDocumentClick = true,
  closeOnPopoverClick = true,
  arrowStyle,
  contentStyle,
  style,
  children,
  ...props
}) => /* @__PURE__ */ import_react.default.createElement(
  import_reactjs_popup.Popup,
  {
    trigger: (open) => /* @__PURE__ */ import_react.default.createElement("span", null, import_futil.default.callOrReturn(trigger, open)),
    open: isOpen,
    onClose,
    arrow,
    position: position || "bottom left",
    closeOnDocumentClick,
    nested: true,
    keepTooltipInside: true,
    arrowStyle: {
      filter: "drop-shadow(0 -4px 3px rgba(39, 44, 65, 0.1)",
      ...arrowStyle
    },
    contentStyle: {
      background: "#FFF",
      borderRadius: 3,
      border: "1px solid rgb(235, 235, 235)",
      boxShadow: "0 2px 10px 0 rgba(39, 44, 65, 0.1)",
      padding: 5,
      ...contentStyle,
      ...style
    },
    ...props
  },
  (close) => /* @__PURE__ */ import_react.default.createElement("div", { onClick: closeOnPopoverClick ? close : null }, import_fp.default.isFunction(children) ? children(close) : children)
);
var Popover_default = (0, import_react2.explodeProp)("open", import_utils.openBinding)(Popover);
