var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var RadioList_exports = {};
__export(RadioList_exports, {
  default: () => RadioList_default
});
module.exports = __toCommonJS(RadioList_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_mobx_react = require("mobx-react");
let RadioList = ({
  options,
  value,
  onChange,
  className = "",
  native = false,
  ...props
}) => /* @__PURE__ */ import_react.default.createElement("div", { className: `gv-radio-list ${className}`, ...props }, import_fp.default.map(
  (option) => /* @__PURE__ */ import_react.default.createElement(
    "label",
    {
      className: "gv-radio-option",
      key: option.value,
      style: { cursor: "pointer", marginRight: 25 }
    },
    /* @__PURE__ */ import_react.default.createElement(
      "input",
      {
        type: "radio",
        style: {
          marginRight: 10,
          display: native ? "inline-block" : "none",
          width: "auto",
          height: "auto"
        },
        onChange: () => onChange(option.value),
        value: option.value,
        checked: value === option.value
      }
    ),
    native ? option.label : /* @__PURE__ */ import_react.default.createElement(import_react.default.Fragment, null, /* @__PURE__ */ import_react.default.createElement("div", { className: "gv-radio" }, /* @__PURE__ */ import_react.default.createElement(
      "div",
      {
        className: `gv-radio-dot ${value === option.value ? "active" : ""}`
      }
    )), /* @__PURE__ */ import_react.default.createElement("div", { className: "gv-radio-label" }, option.label))
  ),
  options
));
var RadioList_default = (0, import_mobx_react.observer)(RadioList);
