var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ModalPicker_exports = {};
__export(ModalPicker_exports, {
  default: () => ModalPicker_default
});
module.exports = __toCommonJS(ModalPicker_exports);
var import_futil = __toESM(require("futil"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_react = __toESM(require("react"));
var import_mobx_react = require("mobx-react");
var import_theme = require("../utils/theme.js");
let ModalPicker = ({
  options = [],
  className = "",
  modalClassName = "",
  onChange,
  label,
  theme: { Button, NestedPicker, Modal },
  ...props
}) => {
  let open = import_react.default.useState(false);
  return !!options.length && /* @__PURE__ */ import_react.default.createElement(import_react.default.Fragment, null, /* @__PURE__ */ import_react.default.createElement(Modal, { open, className: modalClassName }, /* @__PURE__ */ import_react.default.createElement(
    NestedPicker,
    {
      options,
      onChange: (x) => {
        onChange(x);
        import_futil.default.off(open)();
      },
      ...props
    }
  )), /* @__PURE__ */ import_react.default.createElement(
    Button,
    {
      className: `modal-picker-button ${className}`,
      onClick: import_futil.default.on(open)
    },
    label
  ));
};
var ModalPicker_default = import_fp.default.flow(import_mobx_react.observer, import_theme.withTheme)(ModalPicker);
