var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Group_exports = {};
__export(Group_exports, {
  default: () => Group_default
});
module.exports = __toCommonJS(Group_exports);
var import_react = __toESM(require("react"));
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_mobx_react = require("mobx-react");
var import_styles = __toESM(require("../styles/index.js"));
var import_Indentable = __toESM(require("./preview/Indentable.js"));
var import_AddPreview = __toESM(require("./preview/AddPreview.js"));
var import_Operator = __toESM(require("./Operator.js"));
var import_Rule = __toESM(require("./Rule.js"));
var import_FilterDragSource = __toESM(require("./DragDrop/FilterDragSource.js"));
var import_search = require("../utils/search.js");
var import_react2 = require("../utils/react.js");
var import_react_recompose = require("react-recompose");
let { background } = import_styles.default;
let GroupItem = (0, import_mobx_react.observer)((props) => {
  let { child, node, index, tree, adding, isRoot, parent, hover, theme } = props;
  const [{ isDragging }, drag] = (0, import_FilterDragSource.default)(props);
  let Component = child.children ? Group : import_Rule.default;
  return /* @__PURE__ */ import_react.default.createElement(
    "div",
    {
      ref: drag,
      style: {
        ...import_styles.default.dFlex,
        ...index === node.children.length - 1 && !import_futil.default.view(adding) && { background },
        ...isDragging && { opacity: 0.25 }
      }
    },
    !(isRoot && node.children.length === 1) && /* @__PURE__ */ import_react.default.createElement(
      import_Operator.default,
      {
        ...{
          node,
          child,
          tree,
          parent,
          index,
          hover,
          theme,
          adding
        }
      }
    ),
    /* @__PURE__ */ import_react.default.createElement(
      Component,
      {
        ...props,
        node: child,
        parent: node,
        theme,
        index,
        style: { flex: 1, zIndex: 1 }
      }
    )
  );
});
let Group = import_fp.default.flow(
  (0, import_react_recompose.setDisplayName)("Group"),
  import_mobx_react.observer
)((props) => {
  let { parent, node, tree, adding, isRoot, style, theme } = props;
  let hover = (0, import_react2.useLensObject)({ wrap: false, join: "", remove: false });
  return /* @__PURE__ */ import_react.default.createElement(
    import_Indentable.default,
    {
      parent,
      indent: hover.wrap,
      theme,
      style: {
        ...style,
        marginBottom: import_futil.default.view(hover.wrap) && import_styles.default.ruleGutter
      }
    },
    /* @__PURE__ */ import_react.default.createElement(
      "div",
      {
        style: {
          ...!isRoot && import_styles.default.w100,
          ...import_futil.default.view(hover.remove) && {
            ...import_styles.default.bgStriped,
            borderColor: background
          }
        }
      },
      /* @__PURE__ */ import_react.default.createElement(
        "div",
        {
          style: {
            width: "100%",
            ...import_futil.default.view(hover.remove) && { opacity: 0.25 }
          }
        },
        import_futil.default.mapIndexed(
          (child, index) => /* @__PURE__ */ import_react.default.createElement(
            GroupItem,
            {
              key: child.key + index,
              ...{ ...props, child, index, adding, hover, theme }
            }
          ),
          import_fp.default.toArray(node.children)
        ),
        import_futil.default.view(adding) && /* @__PURE__ */ import_react.default.createElement(
          import_AddPreview.default,
          {
            onClick: () => {
              tree.add(node.path, (0, import_search.blankNode)());
            },
            join: node.join,
            theme,
            style: { marginBottom: import_styles.default.ruleGutter }
          }
        )
      )
    )
  );
});
var Group_default = Group;
