var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var Icon_exports = {};
__export(Icon_exports, {
  default: () => Icon_default,
  iconMap: () => iconMap
});
module.exports = __toCommonJS(Icon_exports);
var import_react = __toESM(require("react"));
var import_greyVest = require("../../greyVest/index.js");
let toIcon = (symbol) => (props) => /* @__PURE__ */ import_react.default.createElement("span", { ...props }, symbol);
let iconMap = {
  SortAscending: toIcon("\u25B2"),
  SortDescending: toIcon("\u25BC"),
  MoveLeft: toIcon("\u2190"),
  MoveRight: toIcon("\u2192"),
  RemoveColumn: toIcon("x"),
  AddColumn: toIcon("+"),
  FilterExpand: toIcon(">"),
  FilterCollapse: toIcon("V"),
  FilterAdd: toIcon("+"),
  TableColumnMenu: toIcon(`${String.fromCharCode(160)}:`),
  FilterListExpand: toIcon("\u25C0"),
  FilterListCollapse: toIcon("\u25BC"),
  TreePause: toIcon("\u2296"),
  TreeUnpause: toIcon("\u2295"),
  NextPage: toIcon("\u2192"),
  PreviousPage: toIcon("\u2190"),
  Previous5Pages: toIcon("\u21DC"),
  Next5Pages: toIcon("\u21DD"),
  Refresh: toIcon("\u27F3"),
  AutoUpdate: ({ style, ...props }) => /* @__PURE__ */ import_react.default.createElement(
    "span",
    {
      style: { display: "inline-flex", flexDirection: "column", ...style },
      ...props
    },
    /* @__PURE__ */ import_react.default.createElement("span", { style: { lineHeight: "0.8em" } }, "\u293A"),
    /* @__PURE__ */ import_react.default.createElement("span", { style: { lineHeight: "1.2em", marginTop: "-0.5em" } }, "\u293B")
  ),
  New: () => /* @__PURE__ */ import_react.default.createElement(
    "span",
    {
      style: {
        fontSize: "0.6em",
        padding: "0.5em 0.2em"
      }
    },
    "NEW"
  ),
  Expand: toIcon("v")
};
let DefaultIcon = ({ icon, ...props }) => /* @__PURE__ */ import_react.default.createElement(import_greyVest.Dynamic, { component: iconMap[icon], ...props });
var Icon_default = DefaultIcon;
