var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var base_exports = {};
__export(base_exports, {
  default: () => base_default
});
module.exports = __toCommonJS(base_exports);
var import_futil = __toESM(require("futil"));
var import_react = __toESM(require("react"));
var import_react_recompose = require("react-recompose");
var import_greyVest = require("../../greyVest/index.js");
var import_Icon = __toESM(require("./Icon.js"));
var import_UnmappedNodeComponent = __toESM(require("./UnmappedNodeComponent.js"));
var import_theme = require("../../utils/theme.js");
let theme = {
  AlternateButton: "button",
  BarChart: import_greyVest.BarChart,
  Box: "div",
  Button: "button",
  ButtonGroup: "div",
  Checkbox: (props) => /* @__PURE__ */ import_react.default.createElement("input", { type: "checkbox", ...props }),
  DateInput: (0, import_react_recompose.defaultProps)({ native: true })(import_greyVest.DateInput),
  UnmappedNodeComponent: import_UnmappedNodeComponent.default,
  Icon: import_Icon.default,
  Input: "input",
  DropdownItem: "li",
  Modal: import_greyVest.Modal,
  NumberInput: (props) => /* @__PURE__ */ import_react.default.createElement("input", { type: "number", ...props }),
  NestedPicker: import_greyVest.NestedPicker,
  PagerItem: ({ children }) => /* @__PURE__ */ import_react.default.createElement("span", null, children),
  Popover: import_greyVest.Popover,
  RadioList: (0, import_react_recompose.defaultProps)({ native: true })(import_greyVest.RadioList),
  Select: import_greyVest.Select,
  Table: "table",
  Tag: import_greyVest.Tag,
  TagsInput: import_greyVest.TagsInput,
  TextHighlight: import_greyVest.TextHighlight,
  TextInput: "input"
};
import_futil.default.mergeOn(import_theme.defaultTheme, theme);
var base_default = theme;
