var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var PagerItem_exports = {};
__export(PagerItem_exports, {
  PagerItem: () => PagerItem,
  default: () => PagerItem_default
});
module.exports = __toCommonJS(PagerItem_exports);
var import_react = __toESM(require("react"));
var import_futil = __toESM(require("futil"));
var import_mobx_react = require("mobx-react");
let PagerItem = ({ active, disabled, style = {}, ...props }) => {
  let hovering = import_react.default.useState(false);
  return /* @__PURE__ */ import_react.default.createElement(
    "span",
    {
      style: {
        padding: "5px",
        background: import_futil.default.view(hovering) || disabled ? "#f5f5f5" : "white",
        border: "2px solid #EDEDED",
        borderRadius: "4px",
        ...active && {
          fontWeight: "bold",
          borderColor: "#0076DE",
          color: "#0076DE"
        },
        ...disabled && {
          pointerEvents: "none"
        },
        cursor: disabled ? "not-allowed" : "pointer",
        ...style
      },
      ...import_futil.default.domLens.hover(hovering),
      ...props
    }
  );
};
var PagerItem_default = (0, import_mobx_react.observer)(PagerItem);
