var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var TagsInput_exports = {};
__export(TagsInput_exports, {
  default: () => TagsInput_default
});
module.exports = __toCommonJS(TagsInput_exports);
var import_react = __toESM(require("react"));
var import_mobx_react = require("mobx-react");
var import_material_ui_chip_input = __toESM(require("material-ui-chip-input"));
var import_Tag = __toESM(require("./Tag.js"));
let TagsInput = ({
  tags,
  addTag,
  removeTag,
  onTagClick,
  tagStyle,
  placeholder = "Search...",
  Tag = import_Tag.default,
  style
}) => /* @__PURE__ */ import_react.default.createElement(
  import_material_ui_chip_input.default,
  {
    onAdd: addTag,
    onDelete: removeTag,
    placeholder,
    value: tags,
    chipRenderer: ({ value }) => /* @__PURE__ */ import_react.default.createElement(
      Tag,
      {
        onClick: () => onTagClick(value),
        removeTag,
        value,
        style: { marginRight: 4 },
        tagStyle
      }
    ),
    style,
    fullWidth: true,
    alwaysShowPlaceholder: true
  }
);
var TagsInput_default = (0, import_mobx_react.observer)(TagsInput);
