var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var material_exports = {};
__export(material_exports, {
  default: () => material_default
});
module.exports = __toCommonJS(material_exports);
var import_pickers = require("@material-ui/pickers");
var import_react_recompose = require("react-recompose");
var import_mobx_react = require("mobx-react");
var import_utils = require("./utils.js");
var import_react = require("../../utils/react.js");
var import_core = require("@material-ui/core");
var import_RadioList = __toESM(require("./RadioList.js"));
var import_TagsInput = __toESM(require("./TagsInput.js"));
var import_Icon = __toESM(require("./Icon.js"));
var import_Popover = __toESM(require("./Popover.js"));
var import_Select = __toESM(require("./Select.js"));
var import_Tag = __toESM(require("./Tag.js"));
var import_Root = __toESM(require("./Root.js"));
var import_Box = __toESM(require("./Box.js"));
var material_default = {
  Box: import_Box.default,
  Button: (0, import_react_recompose.defaultProps)({ variant: "contained" })(import_core.Button),
  AlternateButton: import_core.Button,
  Checkbox: import_core.Checkbox,
  DateInput: (0, import_react_recompose.defaultProps)({ variant: "inline", disableToolbar: true })(
    import_pickers.KeyboardDatePicker
  ),
  Icon: import_Icon.default,
  DropdownItem: import_core.MenuItem,
  PickerItem: import_core.MenuItem,
  Modal: (0, import_mobx_react.observer)((0, import_react.expandProp)("open", import_utils.openBinding)(import_core.Dialog)),
  NumberInput: (0, import_react_recompose.defaultProps)({ type: "number", fullWidth: true })(import_core.Input),
  Popover: import_Popover.default,
  RadioList: import_RadioList.default,
  Root: import_Root.default,
  Select: import_Select.default,
  Table: (0, import_react_recompose.defaultProps)({ className: "material-table" })(import_core.Table),
  Tag: import_Tag.default,
  TagsInput: import_TagsInput.default,
  TextInput: (0, import_react_recompose.defaultProps)({ fullWidth: true })(import_core.Input)
};
