var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var hoc_exports = {};
__export(hoc_exports, {
  contexturify: () => contexturify,
  contexturifyWithoutLoader: () => contexturifyWithoutLoader,
  withLoader: () => withLoader,
  withNode: () => withNode,
  withTreeLens: () => withTreeLens
});
module.exports = __toCommonJS(hoc_exports);
var import_react = __toESM(require("react"));
var import_mobx_react = require("mobx-react");
var import_fp = __toESM(require("lodash/fp.js"));
var import_greyVest = require("../greyVest/index.js");
var import_react2 = require("./react.js");
var import_theme = require("./theme.js");
let withNode = (Component) => (0, import_react2.wrapDisplayName)(
  "withNode",
  Component
)((props) => {
  let { tree, node, path } = props;
  node = node || tree && path && tree.getNode(path);
  if (!node)
    throw Error(`Node not provided, and couldn't find node at ${path}`);
  return /* @__PURE__ */ import_react.default.createElement(Component, { ...props, node });
});
let withLoader = (Component) => import_fp.default.flow(
  (0, import_react2.wrapDisplayName)("withLoader", Component),
  import_mobx_react.observer
)(({ Loader, ...props }) => {
  let { theme = {}, node } = props;
  Loader = Loader || theme.Loader || import_greyVest.StripedLoader;
  return /* @__PURE__ */ import_react.default.createElement(Loader, { loading: node && node.updating }, /* @__PURE__ */ import_react.default.createElement(Component, { node, ...props }));
});
let contexturify = import_fp.default.flow(import_mobx_react.observer, withLoader, withNode, import_theme.withTheme);
let contexturifyWithoutLoader = import_fp.default.flow(import_mobx_react.observer, withNode, import_theme.withTheme);
let withTreeLens = (Component) => (0, import_react2.wrapDisplayName)(
  "withTreeLens",
  Component
)(({ prop = "value", ...props }) => /* @__PURE__ */ import_react.default.createElement(
  Component,
  {
    ...{ lens: props.tree.lens(props.node.path, prop), ...props }
  }
));
