var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var react_exports = {};
__export(react_exports, {
  expandProp: () => expandProp,
  explodeProp: () => explodeProp,
  getDisplayName: () => getDisplayName,
  useLensObject: () => useLensObject,
  wrapDisplayName: () => wrapDisplayName
});
module.exports = __toCommonJS(react_exports);
var import_fp = __toESM(require("lodash/fp.js"));
var import_futil = __toESM(require("futil"));
var import_react = require("react");
var import_react_recompose = require("react-recompose");
let useLensObject = import_fp.default.mapValues(import_react.useState);
let getDisplayName = (Component) => import_futil.default.cascade(["displayName", "name"], Component) || "Unknown";
let wrapDisplayName = (name, Component) => (Wrapped) => {
  Wrapped.displayName = `${name}(${getDisplayName(Component)})`;
  return Wrapped;
};
let expandProp = import_fp.default.flow(
  (key, fn) => import_futil.default.expandObjectBy(key, import_futil.default.whenExists(fn)),
  import_react_recompose.mapProps
);
let explodeProp = import_fp.default.flow(
  (key, fn) => import_fp.default.flow(import_futil.default.expandObjectBy(key, import_futil.default.whenExists(fn)), import_fp.default.omit(key)),
  import_react_recompose.mapProps
);
