import React from "react";
import { contexturify } from "../utils/hoc.js";
let DateHistogram = ({ node, theme: { BarChart }, ...props }) => /* @__PURE__ */ React.createElement(
  BarChart,
  {
    data: node.context.entries,
    categoryField: "key",
    valueField: "count",
    gutter: 0,
    ...props
  }
);
var DateHistogram_default = contexturify(DateHistogram);
export {
  DateHistogram_default as default
};
