import React from "react";
import { contexturify } from "../utils/hoc.js";
let TermsStats = ({ node, theme: { BarChart }, ...props }) => /* @__PURE__ */ React.createElement(
  BarChart,
  {
    data: node.context?.terms ?? node.context?.results,
    categoryField: "key",
    valueField: node.order,
    yAxis: true,
    ...props
  }
);
var TermsStats_default = contexturify(TermsStats);
export {
  TermsStats_default as default
};
