import React from "react";
import _ from "lodash/fp.js";
import Button from "./Button.js";
import { Flex } from "../greyVest/index.js";
let ButtonRadio = ({ value, onChange = () => {
}, options, style = {} }) => /* @__PURE__ */ React.createElement(Flex, { className: "gv-button-radio", style: { alignItems: "baseline" } }, _.map(
  (x) => /* @__PURE__ */ React.createElement(
    Button,
    {
      key: x.value,
      isActive: x.value === value,
      onClick: () => onChange(x.value),
      style
    },
    x.label
  ),
  options
));
var ButtonRadio_default = ButtonRadio;
export {
  ButtonRadio_default as default
};
