import React from "react";
import _ from "lodash/fp.js";
import { observer } from "mobx-react";
let TabList = ({ value, onChange = () => {
}, options }) => /* @__PURE__ */ React.createElement("div", { className: "gv-tab-container" }, _.map(
  (x) => /* @__PURE__ */ React.createElement(
    "div",
    {
      key: x.value,
      className: `gv-tab ${x.value === value ? "active" : ""}`,
      onClick: () => onChange(x.value, value)
    },
    x.label
  ),
  options
));
var TabList_default = observer(TabList);
export {
  TabList_default as default
};
