import _ from "lodash/fp.js";
import React from "react";
import { Flex } from "../greyVest/index.js";
import { withTheme } from "../utils/theme.js";
let CheckButton = ({
  theme,
  checked = false,
  onClick,
  children,
  className,
  ...props
}) => /* @__PURE__ */ React.createElement(
  theme.Button,
  {
    onClick,
    className: `check-button ${className || ""}`,
    ...props
  },
  /* @__PURE__ */ React.createElement(Flex, { alignItems: "center", justifyContent: "center" }, /* @__PURE__ */ React.createElement(
    theme.Checkbox,
    {
      checked: !!checked,
      onChange: _.noop,
      disabled: true
    }
  ), "\xA0 ", children)
);
var CheckButton_default = withTheme(CheckButton);
export {
  CheckButton_default as default
};
