import React from "react";
import F from "futil";
import { DndProvider } from "react-dnd";
import { HTML5Backend } from "react-dnd-html5-backend";
import Group from "./Group.js";
import styles from "../styles/index.js";
import { contexturifyWithoutLoader } from "../utils/hoc.js";
let { background } = styles;
let QueryBuilder = ({ tree, node, fields, mapNodeToProps, theme }) => {
  let { Button } = theme;
  let adding = React.useState(false);
  return /* @__PURE__ */ React.createElement(DndProvider, { backend: HTML5Backend }, /* @__PURE__ */ React.createElement("div", { style: { background } }, node && /* @__PURE__ */ React.createElement(
    Group,
    {
      isRoot: true,
      ...{
        theme,
        node,
        tree,
        adding,
        fields,
        mapNodeToProps
      }
    }
  ), /* @__PURE__ */ React.createElement(Button, { onClick: F.flip(adding) }, F.view(adding) ? "Cancel" : "Add Filter")));
};
var QueryBuilder_default = contexturifyWithoutLoader(QueryBuilder);
export {
  QueryBuilder_default as default
};
