import React from "react";
import F from "futil";
import { observer } from "mobx-react";
import styles from "../../styles/index.js";
import { oppositeJoin } from "../../utils/search.js";
import AddPreview from "./AddPreview.js";
let Indentable = ({ children, indent, parent, theme, isLeaf, style }) => /* @__PURE__ */ React.createElement("div", { "data-id": "indentable", style }, /* @__PURE__ */ React.createElement("div", { style: { display: "flex" } }, F.view(indent) && /* @__PURE__ */ React.createElement(
  "div",
  {
    style: {
      ...styles.indent,
      ...styles.bgPreview(oppositeJoin(parent))
    }
  }
), /* @__PURE__ */ React.createElement("div", { style: { flex: 1 } }, /* @__PURE__ */ React.createElement(
  "div",
  {
    style: F.view(indent) ? {
      marginLeft: styles.ruleGutter,
      marginBottom: isLeaf && styles.ruleGutter
    } : {}
  },
  children
), F.view(indent) && /* @__PURE__ */ React.createElement(
  AddPreview,
  {
    theme,
    join: oppositeJoin(parent),
    style: {
      borderTopLeftRadius: 0,
      borderBottomLeftRadius: 0
    }
  }
))));
var Indentable_default = observer(Indentable);
export {
  Indentable_default as default
};
