import { dFlex, w100 } from "./generic.js";
let background = "rgb(247, 247, 247)";
let operatorHeight = 35;
let operatorWidth = 50;
let ruleGutter = 15;
let lineWidth = 2;
let borderRadius = 5;
let boxPadding = 10;
let styles = {
  background,
  ruleGutter,
  lineWidth,
  operatorWidth,
  operatorHeight,
  borderRadius,
  w100,
  dFlex,
  boxPadding,
  // Reset button styles
  buttonStyleReset: {
    borderRadius,
    textTransform: "none",
    letterSpacing: "initial"
  },
  // Indent and Placement Preview
  indent: {
    width: operatorWidth,
    borderRadius,
    borderBottomRightRadius: 0
  },
  indentPreview: {
    width: "100%",
    height: operatorWidth,
    textTransform: "none",
    letterSpacing: "initial"
  },
  // Set up the left join line - color gets overriden
  condition: {
    // Box around condtion
    padding: "10px",
    borderRadius,
    // border: 0,
    borderWidth: 1,
    borderLeftWidth: 1,
    // borderRightWidth: 1,
    // paddingLeft:0,
    borderStyle: "solid",
    background: "white"
  }
};
export {
  background,
  styles
};
