import React from "react";
import F from "futil";
import { observer } from "mobx-react";
let Tag = ({ value, removeTag, tagStyle, onClick }) => /* @__PURE__ */ React.createElement(
  "div",
  {
    className: "tags-input-tag",
    style: { display: "inline-block", ...F.callOrReturn(tagStyle, value) },
    onClick
  },
  value,
  /* @__PURE__ */ React.createElement(
    "span",
    {
      className: "tags-input-tag-remove fa fa-times",
      onClick: () => removeTag(value)
    }
  )
);
var Tag_default = observer(Tag);
export {
  Tag_default as default
};
