import _ from "lodash/fp.js";
let isField = (x) => x?.typeDefault;
let isDisplayableField = (field) => isField(field) || field?._key;
let fieldsToOptions = _.flow(
  _.map((x) => ({ value: x.field, ...x })),
  _.filter(isDisplayableField)
);
export {
  fieldsToOptions,
  isDisplayableField,
  isField
};
